window push version 10.0
window push set more on
window push log using 11.11.Isoproterenol.log, replace
window push *  11.11.Isoproterenol.log
window push *
window push *  Perform a GEE analyses of the effect of race and dose of isoproterenol
window push *  on blood flow using the data of Lang et al. (1995).  
window push *
window push use C:\wddtext\11.2.Long.Isoproterenol.dta ,clear
window push drop if dose==0 | id==8
window push generate white = race==1
window push *
window push *  Analyze data using classification variables with interaction
window push *
window push xtgee delta_fbf dose##white, i(id) robust
window push lincom _cons + 1.white
window push lincom _cons+ 20.dose
window push lincom _cons+ 20.dose +  1.white + 20.dose#1.white
window push lincom                   1.white + 20.dose#1.white
window push lincom _cons+ 60.dose
window push lincom _cons+ 60.dose +  1.white + 60.dose#1.white
window push lincom                   1.white + 60.dose#1.white
window push lincom _cons+ 150.dose
window push lincom _cons+ 150.dose + 1.white + 150.dose#1.white
window push lincom                   1.white + 150.dose#1.white
window push lincom _cons+ 300.dose
window push lincom _cons+ 300.dose + 1.white + 300.dose#1.white
window push lincom                   1.white + 300.dose#1.white
window push lincom _cons+ 400.dose
window push lincom _cons+ 400.dose + 1.white + 400.dose#1.white
window push lincom                   1.white + 400.dose#1.white
window push test 20.dose#1.white 60.dose#1.white 150.dose#1.white 300.dose#1.white 400.dose#1.white 
window push log close
