window push version 11
window push log using 4.11.Sepsis, replace
window push *  4.11.Sepsis.log
window push *
window push *  Simple logistic regression of mortal status at 30 days (fate) against
window push *  baseline APACHE II score (apache) in a random sample of septic patients
window push *
window push use C:\WDDtext\4.11.Sepsis.dta, clear
window push summarize fate apache
window push codebook
window push glm fate apache, family(binomial) link(logit)
window push predict logodds, xb
window push generate prob = exp(logodds)/(1 + exp(logodds))
window push list apache fate logodds prob in 1/3
window push sort apache
window push label variable prob "Probability of Death"
window push scatter fate apache 			                    ///
window push     , ylabel(0 1, valuelabel angle(0)) yscale(titlegap(-8)) ///
window push     || line prob apache, yaxis(2) xlabel(0(10)40) 
window push log close












