window push log using 5.9.EsophagealCa.ClassVersion.log, replace
window push *  5.9.EsophagealCa.ClassVersion.log
window push *
window push *  Calculate age-adjusted odds ratio from the Ille-et-Vilaine study
window push *  of esophageal cancer and alcohol using logistic regression.
window push *
window push use 5.5.EsophagealCa.dta, clear
window push *
window push *  First, define indicator variables for age strata 2 through 6
window push *
window push generate age2 = 0
window push replace age2 = 1 if age == 2
window push generate age3 = 0
window push replace age3 = 1 if age == 3
window push generate age4 = 0
window push replace age4 = 1 if age == 4
window push generate age5 = 0
window push replace age5 = 1 if age == 5
window push generate age6 = 0
window push replace age6 = 1 if age == 6
window push logit cancer age2 age3 age4 age5 age6 heavy [freq=patients]
window push logistic cancer age2 age3 age4 age5 age6 heavy [freq=patients]
window push logistic cancer i.age heavy [freq=patients]
window push log close








