window push version 11.0
window push log using 8.7.Framingham.log, replace
window push *  8.7.Framingham.log        
window push *
window push *  Simple Poisson regression analysis of the effect of gender on
window push *  coronary heart disease in the Framingham Heart Study.
window push *
window push use  2.20.Framingham.dta, clear
window push gen male = sex==1
window push gen per_yrs = followup/365.25
window push table male, contents(sum chdfate sum per_yrs)
window push glm chdfate male , family(poisson) link(log) lnoffset(per_yrs)
window push lincom male,irr
window push log close


















