window push ***********************************
window push *  Example of sub-optimal smoothing near a boundary for stcurve
window push *
window push log using stcurve.log, replace
window push set more on
window push use http://www.stata-press.com/data/r9/drugtr, clear
window push stset
window push tabulate died
window push *
window push *  Analysis A
window push *
window push stcox drug, basehc(a)
window push stcurve, hazard outfile(a, replace)
window push more
window push replace died = died & studytime <= 17
window push replace studytime = min(17, studytime)
window push stset
window push tabulate died
window push *
window push *  Analysis B
window push *
window push stcox drug, basehc(b) 
window push stcurve, hazard outfile(b, replace)
window push more
window push *
window push * Graph hazard estimates from both analyses together
window push *
window push use b, clear
window push rename haz1 hazcensored
window push merge _t using a, sort
window push sort _t
window push line haz1 hazcensored _t, xlabel(0(5)30) xtick(0(1)33)
window push log close
