window push log using 5.11.1.EsophagealCa.ClassVersion.log, replace
window push *  5.11.1.EsophagealCa.ClassVersion.log
window push *
window push *  Estimate age-adjusted risk of esophageal cancer due to dose of alcohol.
window push *
window push use 5.5.EsophagealCa.dta, clear
window push *
window push *  Show frequency tables of effect of dose of alcohol on esophageal cancer.
window push *
window push tabulate cancer alcohol [freq=patients] , column
window push *
window push *  Analyze the Ille-et-Vilaine data using logistic regression model (5.24)
window push *
window push logit cancer i.age i.alcohol [freq=patients]
window push lincom 3.alcohol - 2.alcohol,or
window push lincom 4.alcohol - 3.alcohol,or
window push logistic cancer i.age i.alcohol [freq=patients]
window push log close














